commit:     6a87ce9850d51e855e05f630a64425f0fe4870e0
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sat Nov  2 15:51:34 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sat Nov  2 15:51:34 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a87ce98

dev-ml/dune: add 3.16.1

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/dune/Manifest           |  1 +
 dev-ml/dune/dune-3.16.1.ebuild | 70 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-ml/dune/Manifest b/dev-ml/dune/Manifest
index 90b337f874e8..5bb453db7b36 100644
--- a/dev-ml/dune/Manifest
+++ b/dev-ml/dune/Manifest
@@ -3,3 +3,4 @@ DIST dune-2.9.1.tar.gz 1385381 BLAKE2B 
27224f803547d02f7110dcfc486ef41f9a4586f6f
 DIST dune-2.9.3.tar.gz 1387667 BLAKE2B 
3db54c780b9d13f40c774f53c3fe471dba4a640e7cb5aa5d70ef1dc20a217b95a66149ca5f99f07f3a20450577d622e0cda149f656f06f5a42231b89667c1152
 SHA512 
df6e06a9beebf41f3ed375384be781b5c87c7949048995cc0bbad13dd65c96bd8b27415cd41e43b1112bd86524a59a7dd418e14b5c72b4f1f8fd4ac5ca2d1494
 DIST dune-3.13.1.tar.gz 2891852 BLAKE2B 
88cee2428134ddcd6b929915b6bbeb2d17be8b8190f963919a74c63ffcf80f596fb1556f88c41ee602b2386e02fdf396596a6b2097d67c720bd00e16cdda3a57
 SHA512 
910d4ddd55a91ee65d8ea35b8915506db74c924eb3b67f7b0715da5599ee5088ea3edec81ce6735addd5b17234e445608e59fa353b83e991c14768d83c97a2b5
 DIST dune-3.16.0.tar.gz 2999701 BLAKE2B 
5e371fa1003cec31273aeeb1a830036f48d3734588bd7a980b57aaae30d4984a34dec6f9be0ee9985c72dee08c2c6d456a789eab83cfce42c142a3abc6951b2e
 SHA512 
3b1d041907128b6598e0f6150fe300a4a69098822f823ceead63b46e1005a21485738c6fa92641dd940c9f9cde48ae141ea51959a9b250bee3cbeb06ba788e23
+DIST dune-3.16.1.tar.gz 3000392 BLAKE2B 
93de09c47fda95e1d83f10c9a4e7cfb7f801c7c4e47acbed7a20ef614ff3a6585d8a25b8617c8ee45d338006a99084d096990d1e8c3cbeb6613caa7f0e1a70b5
 SHA512 
18e8022c5fa276e06f788cf25a4d6d08e3247c546cd69a5206d4e78ece1f47a615c6d5842e68e1fa7908cae7ae8c6e4f31d2eb835d97b5e6b5e4154957139e9f

diff --git a/dev-ml/dune/dune-3.16.1.ebuild b/dev-ml/dune/dune-3.16.1.ebuild
new file mode 100644
index 000000000000..e2e51c3abce7
--- /dev/null
+++ b/dev-ml/dune/dune-3.16.1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multiprocessing elisp-common
+
+DESCRIPTION="A composable build system for OCaml"
+HOMEPAGE="https://github.com/ocaml/dune";
+SRC_URI="https://github.com/ocaml/dune/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="emacs"
+RESTRICT="strip test"
+
+RDEPEND="
+       >=dev-lang/ocaml-4.08:=
+       emacs? ( >=app-editors/emacs-23.1:* )
+"
+DEPEND="${RDEPEND}"
+
+QA_FLAGS_IGNORED="usr/bin/dune"
+
+BYTECOMPFLAGS="-L ${S}/editor-integration/emacs"
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+       default
+
+       # This allows `dune --version` to output the correct version
+       # instead of "n/a"
+       sed -i "/^(name dune)/a (version ${PV})" dune-project || die
+}
+
+src_configure() {
+       ./configure \
+               --libdir="$(ocamlc -where)" \
+               --mandir=/usr/share/man \
+               --docdir=/usr/share/doc \
+               --etcdir=/etc \
+               --datadir=/usr/share \
+               --sbindir=/usr/sbin \
+               --bindir=/usr/bin \
+               || die
+}
+
+src_compile() {
+       ocaml boot/bootstrap.ml -j $(makeopts_jobs) --verbose || die
+       ./_boot/dune.exe build @install -p "${PN}" --profile dune-bootstrap \
+               -j $(makeopts_jobs) --display short || die
+
+       use emacs && elisp-compile editor-integration/emacs/*.el
+}
+
+src_install() {
+       # OCaml generates textrels on 32-bit arches
+       if use arm || use ppc || use x86 ; then
+               export QA_TEXTRELS='.*'
+       fi
+       default
+
+       mv "${ED}"/usr/share/doc/dune "${ED}"/usr/share/doc/${PF} || die
+
+       if use emacs ; then
+               elisp-install ${PN} editor-integration/emacs/*.el{,c}
+               elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+       fi
+}

Reply via email to